commit:     027d42dc93888e58afa0f2889745febb09d247f2
Author:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 21 20:20:48 2016 +0000
Commit:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Wed Sep 21 20:22:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=027d42dc

www-client/firefox-45: don't remove stable 45.3 when bumping to 45.4

 www-client/firefox/Manifest              |  87 ++++++++
 www-client/firefox/firefox-45.3.0.ebuild | 368 +++++++++++++++++++++++++++++++
 2 files changed, 455 insertions(+)

diff --git a/www-client/firefox/Manifest b/www-client/firefox/Manifest
index 9748814..f7c3284 100644
--- a/www-client/firefox/Manifest
+++ b/www-client/firefox/Manifest
@@ -79,7 +79,94 @@ DIST firefox-38.8.0esr-xh.xpi 450242 SHA256 
3ad5612cad4039146181a33b738f51e6ab91
 DIST firefox-38.8.0esr-zh-CN.xpi 488276 SHA256 
ee1655f640326e2b294f7c47712ed1c558591e3bb4be531439bffddd89c3c7f0 SHA512 
fb262ff70ae2eb56a486412cf8b362ffe9991196b0e226b116016a8d2416c1bd9658f74a2d2ea5d731bafc88f728b5bf62a9048b32019e0494854498b08746dd
 WHIRLPOOL 
dcbdd80b4e22c9fc117ccdd3ffc5c744695c1b4be9578c0eb64a8deefc14bad9c5d1bdf04d59d01985377154aefdc49446b6ab411f5b31148f600ea928bdf60e
 DIST firefox-38.8.0esr-zh-TW.xpi 467843 SHA256 
8069f637402678c1600a23e35c956f5ed9f16166a43e8dccaa48c2ee406929c2 SHA512 
f0bfd82b41b466f01659ff44e3c54faa476a7ccef9bc5cc139154d288bcf81bc39096239e5a509a5672b0719fddb61d1eafae7ad7e087198d841964c067bd426
 WHIRLPOOL 
6461595b89c1c1e5b58b44017ee79c2ba52812d1694148fa142f32d5a95f3329c6d4ffe8b763a6671e5d224018596eea6d6203956c6ad975a793581faf1818b4
 DIST firefox-38.8.0esr.source.tar.bz2 181198635 SHA256 
9475adcee29d590383c4885bc5f958093791d1db4302d694a5d2766698f59982 SHA512 
fcd2497a60176b8403a1793d1ad0a1c96a0a60217c2d4d7acd0506abf6810892bd51fd113d8f952f92b20032efc539a6b1233d8d124c2eb72d726b0935c04d65
 WHIRLPOOL 
cbc170093bbc1403a4112e5a1a73ceeda4d0ab86dc02697b4010097a612124652e8ad27ae33bca056a5d1f8450239a98b746ff983ab4a0db010e10c815781d8d
+DIST firefox-45.0-patches-05.tar.xz 19464 SHA256 
dab99a75ab0dc459f1060bf53e40371454b906d6ff9777c4b1c33ac79006a500 SHA512 
801905d531d20634b184c0f5f81b5622bc290c3cad1cada54078787c307fa8e191202ee797266eaf53e06f522df4fc798981886845db09952ac1421b9ecbf40e
 WHIRLPOOL 
7eb52cad6f923e0ae4f8f02af79f84d1fd0a5cb05f0e43d5703f0a22892d2d146de8bc71f7c51c4b44127ad89ddc1fa11ebac56de7f9c4fa19047ab52c7e72d6
 DIST firefox-45.0-patches-06.tar.xz 19792 SHA256 
4cacdb0ca1e710a0e3f577d5a1253ed14fab9a2d1cdaf83b3fa7bac86cfddef2 SHA512 
eec8ccb3d67144368cfad807cad847379bf9ee54c2394f8bf0bda121178b1036ec1d32bea67afad840dff38e1ef26c4c19569d4fa4b553b6e2719bf07a46e017
 WHIRLPOOL 
7bb6b8f59d86beb9178fbea8bdd372a016b62e00766daf9439e2e59d20635a21b3a218447b09ce7d6a4b601611013f9ad08e088ef8112a41bde9ce951d10bdad
+DIST firefox-45.3.0esr-ach.xpi 426530 SHA256 
8d92f203cfd053f63b9e0fc8e2139a65d92b17c6f7affdff14a54f33b01f7f83 SHA512 
97631c623cf00f8a715b85870034ab081c1ffda7e11a75bc6c492d883aca0f46b8fb0e7cc3e3e3995feda7ba784da8e5aeaa78eae8119fa2a3abc250c405ae1c
 WHIRLPOOL 
9662fc6a6f9300ce0977712461248ba51a5abd2466e0705ed8b73322f2b38f3e37d021d39dafc53ec292b22005f1ca5084fd1d922f25e8391d67f91df4e81262
+DIST firefox-45.3.0esr-af.xpi 439353 SHA256 
38a4489d5ac30210c1a0f617e81afb2667f52d4c74fac6ba8f40eb92123c7831 SHA512 
b2dd8fcbde6c01a0a8a845404f202e39fe80d210ac1f43cd4c46ffa93f89799af4cb77e328aa89a83f7784f576bef508b5a43cb460608eeb529b0cb12ddb5f76
 WHIRLPOOL 
dab48ef688349e0aa346f4e7f339838c939815f4f81918df3150f2ad56b6d716731939d9acfeb62946e75cbbaa062ef129c3a3566c4796baa294f4ee02840085
+DIST firefox-45.3.0esr-an.xpi 449036 SHA256 
7c582f2b02f91ebbd84c9b6474e196811b3268c08f132debdd5a1ee32c2525a8 SHA512 
a10aeff894d1e14589927230d0f123af1c33714b3d262b285ac5209718317fdd942a2fbda02fa9c470cc149dc9a4da4046fcf110246bf97ffd6621aae8abdaeb
 WHIRLPOOL 
25941b40d62f4ac77d34b608669da7a52c7c57355e16c66cf8d062d8f70f694b613f58e7e5447ae71de58c75c9d4fa8876f085704fd16022ad15363878fa37a4
+DIST firefox-45.3.0esr-ar.xpi 474961 SHA256 
957181886999ddaf2433a19ab9ff78e5ce8ba6070582d7909fc1256baae2b74b SHA512 
4af70400b7214197991da31be42599b9e0b21fd5f3fe61ec00b976be70e99dda42b5be1f93f6d5543a84c566e4cb4d40c030dbf412fc457426f542d554ceaf83
 WHIRLPOOL 
6505f303ea1b98b2f036184fe40727623bfd74479864cdbaabd19577001a7d2f96f26da584f69b1ad6678033353ecd0b7f5982faa5b8d83766da1f352fb44abf
+DIST firefox-45.3.0esr-as.xpi 483096 SHA256 
38c203ad5e703ca47617d77ac62426d5481dae3667eed77973216045e7560649 SHA512 
0e7bdd40e4d064a893f5c5716830d09fb029377533e4d4f7e8ea2ae967b1b4d7c7f34f846179af576621ab5d8ab4152c86b36f45fcb648a9acaada28028b5410
 WHIRLPOOL 
234421cad7d39ef266631100988cd0460d9cd7977553cdf240ab8d9ef3cd765ddd8f04c7892159c1b700fb2ab52eb385e92ea9e799229d9471706bd7b0c29b54
+DIST firefox-45.3.0esr-ast.xpi 419249 SHA256 
d61d48043adbb904895c05a621128c0b21acaeca9eddfeb647d25cf7d823fb50 SHA512 
20c2c2338aacbab22d6fa954718afc8e679890fa47b9bcdc80fa40699a0082d108c8e676991499298517cc2ab4ae3280618ab64914feddfe92b2f5af0cf645e6
 WHIRLPOOL 
74d76e9a9a533ba6644eb194c27403469e97500a293905026820230662067777f9ebbeba887f623d816ebb1df5e5a8ecbb0c53ec56ce369ae91caf0d87f98f9c
+DIST firefox-45.3.0esr-az.xpi 464018 SHA256 
e8f4fea333daaa3aea303f914671c8026f70cecaea8286c2fc3d77e4f6c9d008 SHA512 
9cc4e7939a7cfca652ff0f847f60a6a55863fcf90005b53873a79a05f552c6e998f98b245f2f9b147b055de35b52bb5039171f52faa64d3fce21b156b95ece2f
 WHIRLPOOL 
3768b7d0374347cd1fe7ac2392b77bfb0e4e595ced496c232c8af86c2e868cd42b47becaa96f114d050292d638a39f9237d92f0e311cb8de810fb424ab441e60
+DIST firefox-45.3.0esr-be.xpi 442619 SHA256 
ddf55d864bdf15a750573fc2bed5208a6ba4590b375b1dea44c11029e27bd6e6 SHA512 
49e4a9f9c4ddb0f561b204ee864840b376ac69f47e8335af7b392c3202e045bcea8f57ab99b671c8cc27430dbaecd37f845963fde9d7fdd74ea5524c2c65bf36
 WHIRLPOOL 
8603a83ee0440071ad8c16065adfa690ccd0bc9b512df57047b3ec564d46f593414182ada2896aedabc6840b67ce3786a8eb3e307248fb62d8a5fa59d462a946
+DIST firefox-45.3.0esr-bg.xpi 460809 SHA256 
aaa9a7caf3c10eb9097b0f1d8301515224c531419e341cc73c3fd2024f9eddba SHA512 
804c8eff1e45741c16ed5a08b467192cfa924a81d19e00168a2d85a8281d0ed94695d98901643759451292ce35248d6b3402401306f2db6e0402b01bbc1a9ebe
 WHIRLPOOL 
cb14f157072b967fd6fb051913d9a86e7091d4c17cc6cea6c54257a36217cbb66d59708e30b82f467f5540cc37310e359bf0ad9457962236bd7a8d4d9b6aabd1
+DIST firefox-45.3.0esr-bn-BD.xpi 515643 SHA256 
50a0a3c0fa9ea9cb3b1cc3aeb6d533aef07ea405e596211544570313242e81f1 SHA512 
8bcd5702f9e27b27b07a47c7055bd7cfc94d6992628eeedb1a901c9c0b74cc81b3a68cc37b967e3177e5cd3f640cb3d77743cc2368fb91e8747e3e5212be7422
 WHIRLPOOL 
26570459327f14611c78fff543b49e74d2abb27b70e56521feb03656cb7225231cfdc97007e83c8cc7ff503069d7d114554c1278e1bf31ba2e3fa881d05a7af4
+DIST firefox-45.3.0esr-bn-IN.xpi 494076 SHA256 
0f69c304491cad8632a59e5873dea745a43b77a1a73a63eda48e36d0944510e7 SHA512 
894ec08b012faec8c7a124ab57e2a64d3c6cc0961ea1acb74bfacfb6a96a1a96bcbf60689f9596f8bd7cadd6ef09400b7e664aaaf3127e66c7bcf019db730762
 WHIRLPOOL 
e9bb92389edc7f3385208d06a24a8669354d079df4c28a4704ea2169c99c0496f44c1129f2e2974d3775d3e45b7e153d8853ec59575db417787499f88fb88e05
+DIST firefox-45.3.0esr-br.xpi 436390 SHA256 
0c71e15c07881db347fd42ad1e95d74b539a4a866d4bbb4ad188ada3d86616e4 SHA512 
676fe79cc39a14508eeeb2e2ce3ec04841e590e655dc90dd2f69bd0738879dd3f555dfb6b0e1c9476f5bd9ecb79896c459ec3972acdb4e739964325f738ead29
 WHIRLPOOL 
64336707ccc513fd223433bd0e450abc78db2fde847fe7131347beade8b12b3a533d3c933b29f0172352027cceb8d232bbc8ac43e7714354140231dc1636af36
+DIST firefox-45.3.0esr-bs.xpi 442998 SHA256 
b8f8bb53981465182ae76f539aa84af304f3874af27734d8d5ae9d677ca8bff3 SHA512 
aa90410f721b646da964a37c6f3a86593fae1a3d73283cd532665f85983c8b32fb0b6cedfb5983dd349c208174a8dea37b7c57dccf17419ac0da5ad3772f5d9b
 WHIRLPOOL 
881ce97cbcfb0dea20abc03e6a9f7500b0c332a26facfd489036f16a46f9e8ad369574e78c1cc39de4653d9e8617a31e94ec5541ac19266ffa0dc92a3c42c39f
+DIST firefox-45.3.0esr-ca.xpi 436832 SHA256 
34d81e18a5d019d76a453b3292614aad91e03ede08d18578e69d506485fe9d70 SHA512 
57197e284b933aa7098c2cc6442d8d5f37fd2c9089c5c30d0a129e8fde3cc38e23dce2f9fd9961c8bb0cd8d770cea6de072c0a862ec5196a834819c5b34b7349
 WHIRLPOOL 
b7e97c9770f599c3cc5030c343f6025fdeea4ddd19864781f702149d67ef41e9902e8d0dd22b7cf61ae2d873f0d7a97ce900301f329cb34452778b367b973816
+DIST firefox-45.3.0esr-cs.xpi 443482 SHA256 
da5189b1ecfbd4fe02e4149fbff6288eb41c82dd5ecc846ad32d0af3922f9fcc SHA512 
f2d05fdf428610c8fd19f3389eb0990778f0aeb445eeb4f5046d6142f87c89a64a6c04e7d440364bc978b21ac5c8ed4c07c794b70283482b21670f3d6963f07b
 WHIRLPOOL 
fd67b6b6d45acd943c0fd3413eb874de7fd5c044324a00776acc1418b22016fddaacf7372d767dd23bceda02d323805b551cbc8a2c7467eabae4c957e6681e07
+DIST firefox-45.3.0esr-cy.xpi 438907 SHA256 
73aa44deefd2ff2cfab6b1c0343226334749fde89ca9f1673c9e824b39051829 SHA512 
0ba9f469e72b2f9451ebece3edebc5c2bfaf0d349fe168a094a205a184cbc78d0cc7198cd823acb98b2682b50b2ac37b90647f2496ef3b47bfd150dfeddc94f9
 WHIRLPOOL 
ebb66c2b12ed60dbacc0edfe31a75f35260c30f058382203daf6ded18b83bd1fb9658abee72c970c598314c8bc1d1cd81ec70a0937ed87aca5b801bcc8e955b3
+DIST firefox-45.3.0esr-da.xpi 430078 SHA256 
66753cd64b22beb48eaa15070dc1f773cb120156c8f440f69e09935c76e72285 SHA512 
d3f24e97c5f0c0bbb4e33e01494c9259cdd6d5a4d026fb07df8b9e7ae77248ec12955ffe2d6e6804732e30546089e9115cadd6da08cbb1071288cd220e9f4891
 WHIRLPOOL 
24180c6f1f2297f190b3c702e87d23534ffde7f2a8cbb157399c7794895476b9ce658a2b6d8e81aa19c648a183bbedc1129eeecc688c538db45b74a705b14b27
+DIST firefox-45.3.0esr-de.xpi 445481 SHA256 
4f22e48368da0f042f4be2d47080de3fa3faccc0b06285d2a887c5b013692871 SHA512 
df7b25559c4fe25effb6e9b2c7b48093d51f4e1046afe73366f663c813261bf949735aed697efb3f7f4ce10496526ecf4d0efc2e1f28c71c6712da9c0b8ed54b
 WHIRLPOOL 
707b9978daf67c612c5bc74425f256a82a247fcb18c1ea9ec461dfb6280e504ecd5105369d84b3201930fafeaa097b9e0b6719ccedce778b4a7777b19b6a0011
+DIST firefox-45.3.0esr-el.xpi 470866 SHA256 
7cc7530d7e3054ab1b0cb32de6fcea8d3b67f4e245dfefdaf10c2a3d3b696b7f SHA512 
97b584898f9ad3ec6f5cb438036fcca508d40584201965b1fbf36b82c08e0acaca0bc8987eb5b193e58600f2c4618ec8ec0bd8efd5ef8dfe09ff0a84fdbae440
 WHIRLPOOL 
3b335f666320c6a96017d395d03bc44873b8ba8661db127fd78a3ea981fc7da8a52d44f86f4b788707a0cb4334cd2f6ceaa310abeda34ae8f15f543f4c4c7a5c
+DIST firefox-45.3.0esr-en-GB.xpi 423871 SHA256 
ffade7425d0edd8a07b25e0becab0ee4b5fb8797cf5e6ad1c42e15c3dba2ac4d SHA512 
899e69a501fef574f0356e5c46c53b66774356f3d00017372adecdf7f2501436b11ad2574e03d3e082b10464f7beb08e47f7ff3a7b996057b0c2df5e38a08a17
 WHIRLPOOL 
22b6ecf8d06b3ce3a0c9fced7664aed9936e07547b303a880b0af31966d7e38d69797072c9322bcdc258f5eb42ee4c7a0fbc03e7e8644c7e5ebf29c76ced9fc9
+DIST firefox-45.3.0esr-en-ZA.xpi 420776 SHA256 
303cb400d610dc630a4d6e5d630ca99d1938784739dd651c867a4540b5df1d16 SHA512 
edf162c2d1ec7b49c249261eea1a9f787e329850dcb77302dd0ab825d2fe8d5555bcc00734d526243d566e8ad104368994ed4ecbbbf0ba90d74f53577dde2883
 WHIRLPOOL 
7059329cce30cd1132ab0f3ea40dda445856401113c44d3f697e8289bef8711931c5702434e629d34b3cdc899f0bb18694823997d40ec5cfeb2a285a8fcc243a
+DIST firefox-45.3.0esr-eo.xpi 440960 SHA256 
b0c6752f4e1409d96f5f52d9a27fa75b2f1aa91909475114b277d9fec4a6e54b SHA512 
e770d8bd3923671b5addf196e6664dc37df87344772117566168d8e89b4533a5b47c7161acf292836f09e1c1e5ba49ec3fd5bd10e9761822cfd15101732ac811
 WHIRLPOOL 
fcf627113286333fb2a9ad6c20064983a417f8b01728bad75bcc988d134323a96aeae3660f556a6cfa3192603f771609f50025f9f1d57195f99de94e168a6d25
+DIST firefox-45.3.0esr-es-AR.xpi 441481 SHA256 
79eadd7e9345bbd3d4d6adedc5c023a6738bceb132ca0735e3683b1ac4eb1532 SHA512 
bd8f198fa97f7272c47e8e03448054e39159b3a109af1631f335f7fd28c30985591c923c34770477a39411c3583ad0f493108f710884a1c56936f75a37fc930c
 WHIRLPOOL 
8b913366e87b1a99ca566022b4bfa61945d7fee6cf0b50ac7c870d2e0e83c37f17690c5a3fad659fb17a4b2e6792894b6df861127903ad3f244a4aa172f530a5
+DIST firefox-45.3.0esr-es-CL.xpi 368763 SHA256 
59b145737fdff59c35ca1a96d16d9edd942eb0b5fd04b2e7757ff8c322c62dac SHA512 
1e0c0fff51c06df7fbc251d291e087ca1668fb206867d4bd66e5be16fd387878d7aa312667b3ab70676c693bb08509472410cae72460b00be6d5afbd310e8704
 WHIRLPOOL 
94f8a9e3560cbb33c3ec2e1d0877418e1e708ed45a1a361142d8af3f445e71a652506f35d5d89944c9514add8450e31563f43d9dce199b250b3795cd5073e088
+DIST firefox-45.3.0esr-es-ES.xpi 353716 SHA256 
86ccdae8495500d3e1c8c2565be913eb343273199542076efa679c798f94815e SHA512 
e12436ee09910bb39fdbce56aeaa99291ce2def194ea16c31d0f2bd49d2ed613718de1193f4715bf6dcc59cb1fc80a0947393260b427c0c561ac7b6334233849
 WHIRLPOOL 
609c65b3f0a7d7b965ec4daf443222158cb0db24141fd14b40fe48439a7821b6131aa26d3625551047dfd9b38a2430480a53386b1da996ef3753b788cd543eb1
+DIST firefox-45.3.0esr-es-MX.xpi 449395 SHA256 
097ac5a5f882a52b4b09370444c4d201a0a468ccd631e7e94a4826680c70628e SHA512 
5304014174a9548740e19bc73f53e421f3f197b04e6a0c6ab76b6e9c31607022c5f2879cd45a08a1999c466e8e8f9d2aba82b3f7930b3d6585adb77110c7de37
 WHIRLPOOL 
eb40bc78c977592569b97739afe582702da2b57889b1fe20832585f6b6c6620b8653e8ba32037978c2c75a5491f63e5f23d9ea0b148006f63a43a7d2de85689d
+DIST firefox-45.3.0esr-et.xpi 433352 SHA256 
9310b9f9dcf190e5688a78604d27f8ef08baddb09b41866400e28dc364718630 SHA512 
60998969c14fb04a10df2e6ac723fb6686b4b0d1bedba274408316e1d62c156fdaf7bab8cddbe3695514c2b6219d71497939cd9344ac7217f2ee1d73e9dea3aa
 WHIRLPOOL 
4e802bd76db81d1599fd23771ed0b8e86c691f441f8e7553409ded92154a9079de94c2c7960889c35f38438d4a34c87fc09f9b210806623272b03dac20b326c7
+DIST firefox-45.3.0esr-eu.xpi 441357 SHA256 
c98129af6917217525a6b1275ecb7e6a98aabbf665faf3161c60470d10d62209 SHA512 
e5c7fd8f68ac2c8151884ca921bb1c416356cd436cabda745069d41e4551c57648b77e4a7806a2a41139e9779c7c7e32b051630840ed4a2cd922a9d1027326a1
 WHIRLPOOL 
68ab903567c45ea9c5f96c492bfb53343b52d7e4356626450d4928612822b0764bd29cf68cb840141ae4034f26424235a1302c64206d996df4a04426e58c869a
+DIST firefox-45.3.0esr-fa.xpi 491941 SHA256 
cadcaea570e856b731ae07e9f57b010335d061eb01b1af0650a3f168adf260f4 SHA512 
ecd88350f154ba31361c2f5eb8957a917ba2ae09c919f6721c4af816278d64140677e7eca48f9df6a359f42849ca3aadc33180e999362f63c625d33332d5942d
 WHIRLPOOL 
95bb7c0d5f90987e708585d4321474321e5836b55a204f3fa7eac9689a6ad536aeb9ee31d6fa86e65db37dea715d2746abc457c7f3bcb3b2f6b9a655f9788196
+DIST firefox-45.3.0esr-fi.xpi 438347 SHA256 
d3cda2cb1fcbfe24e535d703db60fbefd689ce2905efafc477f67bd47d4a5e13 SHA512 
5eb9155e50979e3643d8731374f7d79951999bcf5c7913abcbc50b89f8a367a94491a15ae0015bcf9a32a073841f584490ab777622d86f89658d814bf63ac53f
 WHIRLPOOL 
be9f9dc9b07e4d4bd9ad0f70564a6d323b8fc37e04988ba23a7df9c21e81b063e39174a27e29e38d1191540adc2ea0b8328cfe3b6c2bed2c81a630a7582ffaa3
+DIST firefox-45.3.0esr-fr.xpi 450037 SHA256 
9e090e0e986a851aff7a00245db430aca728ff17401e41836d16655dde454e63 SHA512 
af67bf74ae6833dfa9c597f51ba12e2d88a67673d9dff5f052fd073d0a6f0a416e562b7d518183b9defe3dc0d7238575ec00e343aefc6c9e89950e1638dc77ac
 WHIRLPOOL 
0d3edd50239e068a4554ed36d294960db8b5fbf825c052cc7b677a923c3de11ab476e265469f189855768bc94fb305970186cc0bdc9d03fa2b71ec1a71231e42
+DIST firefox-45.3.0esr-fy-NL.xpi 447777 SHA256 
d3e9574f71c22197ea9a07baa7b4e4239cebd411a5293c697ae754f55cfa1d41 SHA512 
6d5cd0d916ed0da947a3792df0717eef74f0995ad6f4779f8bd2201da420abc61e02515f6d60386d67c6238cce1c632c0e9afb5cba592623dadcb60e1dda6d12
 WHIRLPOOL 
60680e85501e20aa13242994af8f90356c5d36cc82a752a875f842b1e72c8d79d0fe46c3937a028943eb04419f91951ff8fc516f21bdb7e548d8d841bc46d7c6
+DIST firefox-45.3.0esr-ga-IE.xpi 460055 SHA256 
d9e99926787640510e11894add1ab970749f469829723dcb3b79ff8275f58471 SHA512 
c4aa32611ed9d4cd6193fa19a4fc6e78f76f43b7ed75f342a3f05d23b4d71d159bc416ed195bdf400aea34590f5599dd40fd0be29b8abaaa6019ac7a4892908b
 WHIRLPOOL 
d9a5df93d6973691473b63d6f6c95c5279b80a498fa5d459c7fc16e02f758f33a04344084f5b040d18c31856b71347608b76d1f536b7a85d086eef76490d88ce
+DIST firefox-45.3.0esr-gd.xpi 449711 SHA256 
899b18a15da4e2b49e4c03e6fda769e13573a93689305dfa183a2d0f70dcb377 SHA512 
06889a8cde1695797b982c83a8070975e017599710595aa1a53f30d81378559b5dd237e275691a98d0dcb07c38ece41454d8c5ae564e8f73f4672f0d62f505f2
 WHIRLPOOL 
32b443b985b9f12da05d8710cb3c4b18cc5e063fcf599e36360c778d769744a31239702de95fc02bcc52594025e7d642cd364f6b2d96ffc20d60185a5e960f6d
+DIST firefox-45.3.0esr-gl.xpi 434804 SHA256 
9029b5a78a4887f9297641e125a1c9b12e29af9f9b48b2f127a4742a6a6e436e SHA512 
91a842846f6fb7076406ff2a59e2fefe11c286ce7e9c0711bdb903761b60e109b4a2ac33960975c0e623f0a1495399c3754078672243fce31795fcef17a19eba
 WHIRLPOOL 
b6309f89c8c4edbc8c17aaed926553f0eff9ba1f236851c81aa7e13514be06c02b35840ee42a82f36f622297cc54903e3aa84fe731e86c359a03264508a13426
+DIST firefox-45.3.0esr-gu-IN.xpi 472566 SHA256 
c2d56ee0933e29ba1e8ff20661ba488c12d1d7d2829df22d5cbab5d47087a9f5 SHA512 
c402a9593acb3b9c26ff35eaffced58eb4c09a92a68f6748710148cc628aab97791fca7f9076c88278beaed025b3f02cd4e4b9024b180e92efa6c208c172a1e2
 WHIRLPOOL 
2ab402b7209e1e97766fe08dc24edd1c399225101165ad7ae3ad2a27f0caa91435e302c6fd65349128cc38fdbaa28054ce47bca2e1a73721a88ebd11fc37d4f3
+DIST firefox-45.3.0esr-he.xpi 454785 SHA256 
58dad792a5626a583655919e0b0db4a6c013205c44cc13ac32592be6c53cf31a SHA512 
7304190242ba0c3558413af2f76fedcaef18f518c7dd1618c32a3a9a2aaf35adad6f83098117fd1fad6fa880a3817bf1c2ca43a4f284f34fe85af4648ebbc0f8
 WHIRLPOOL 
c30886174eeb542b440277c99f2bfd95ca0e2162a08cf743cbdc52ae08de5560cd5b49bbfaf07699dcc90595922eebf4ccbb28ce73f1ae6922ffde14c481fe7d
+DIST firefox-45.3.0esr-hi-IN.xpi 486991 SHA256 
1c107f6554f7614a5e640db7b2f021e8cc35b0e18f26adf8854d71c60243f855 SHA512 
41dc8c33a54fca46bd40e7eb62d75bab6bb76777a914902c5327039eb81b234ac3bedf7f0aa485d274c72fb6b50275cf3ad1e2aeb6c60c143ecbe321a296f582
 WHIRLPOOL 
87fbe071747182c0dc2eab8504e70ef20bb10ea82347a06e702479b4abd6de831cc0f7a81698c557256f09ab0923a19af3da0c21ffa9bfaf23281a70501db362
+DIST firefox-45.3.0esr-hr.xpi 449068 SHA256 
35cdd86496b7787006c7f98fcbfce5959564ead00f55ecc3eb3ad93d5d4b050e SHA512 
8594e345f21e1d6cab166c11e9a19fd4ad0df7a885c3afdafcb9f8fdd0138db763c829a07eb223d4145d45c6bc543695d98690bb73ccdb15c1d3bb420524d328
 WHIRLPOOL 
c2623b6bd01315bf1e4124696423ca2237780e9af944746dc3fa2ec533e226c5e4468403622f47dc87bab24a4fb13124e63e8d492a6515f429f509564894ac82
+DIST firefox-45.3.0esr-hsb.xpi 461454 SHA256 
8393b313c4044340b93d2a6233b6c0d53aa8b1cbd0be14a575a91bbb7808af4a SHA512 
125abf556dfe6603d111255945c3761259549f4f8eaf0a396da31560b8740281fd83b7335e6a204336adf48e197134de4a3b1d8777a9fe9edc157c2adf4c96b7
 WHIRLPOOL 
a392b6982bf548d45306d7f94ca187071ff14fb0ad862c576aa11494be7cb9466ec58473589328a3863f13e9f6e2f8d28e488d458949cbff5568bb58fc57f563
+DIST firefox-45.3.0esr-hu.xpi 449777 SHA256 
96bbb5f900e7415030585bbba9591537d7e305f4e681466008ce495b05ee3e49 SHA512 
15a7fe94310dd1f0d5681bfbf961ce4ce594f5eda759dc31c97b7e7bc2e40bb8c2374e4592fac797cbc16495b9185ed98f38aae8d7578bd27a37c133a12377d5
 WHIRLPOOL 
1c1c172185b9ef51f0a6ba0006e168456f3fdadd00560621441d76b3b45e0e158c141b7f30704e473487a2e798356c2de1c131c1d483a7b0b1f61f6e93ff25e4
+DIST firefox-45.3.0esr-hy-AM.xpi 500040 SHA256 
a73472e9e420b43dc43e17a855dd60af2f311e6c9e91c989f0ecc0e431c92ab9 SHA512 
b1d73d30979e5b6ee32947c20116fc38220515738aa920711a403aa92ba484e94dddd311e261b37a60ac669010c065fbd8a771387cfe2395db5bdf6359ac24c2
 WHIRLPOOL 
ee277d562467b37f56b50bf9e7797f0e036cbc73d54c57a33ab053425431800522cf3b68af7d77d9199240334befb4719b7c2117feded4b590214930f21857d8
+DIST firefox-45.3.0esr-id.xpi 427175 SHA256 
25646f57616dda365ffa291c53a50379d99364bc7c2ddf3a08087b280a883266 SHA512 
a38dd5614849f4a2541c328eb95608d7e2ceb759a5d4e865eb80e4f47e7cacee8f9ab5bf543ee9b17a5bcccd1c321ae2ea0f06b66381e22477c1f0c236bec0e0
 WHIRLPOOL 
e28fd29261dc9fe31a097945a615bcf143c731fef908ee5dd2e6fbe5d16e69d34d6b1765ad701c82eb857c403e5f7eb893c773aae604fc234bfa7a547ec0b345
+DIST firefox-45.3.0esr-is.xpi 443209 SHA256 
88e76762c209118f37a192859f0a2cebea3351ebdd1df10d567d0de5c372c4e3 SHA512 
79a7caa6493057fe59efdbdd08baa53830351b8aa83e3d35b058665bc0578235448ddd9ead2ed1d60e9ffd72d7a55324ba1b1639494daa70efc8865c5dd17c5c
 WHIRLPOOL 
74c5cd9013c97150bc089b6d95a6dbad7d4b81198b40f93c4778d913d36bf385db845f93c83358309c26e239d207eb133e936db67bfdd83cb6909d2d83057b2a
+DIST firefox-45.3.0esr-it.xpi 343724 SHA256 
c8ed5d40eb444394b6b2ce17fdc3e15cae893cfd64bc6aa429a72d21a4378389 SHA512 
f440b1e33db6e57ceade9e7ad2505930be86ed0d2c0a30ff2d486c5c0d937b8ffce0c5baaff0cc4c45e04e0c259476ca12f46fb468b91d8c2343b81e90b617e9
 WHIRLPOOL 
7bc587576597030fedb67669d2cbf067aa64254aaf44c0ae431d7dfce729d836ccf825c1b55781412577c8b87274d0699211c1956ceeb0a0f0dba9b743648b85
+DIST firefox-45.3.0esr-ja.xpi 486331 SHA256 
4062eff4fa5c09d4fdd2ba485733ab193a826832c4e0a09fd608718cdf363e5e SHA512 
4eb31df679f6f9d23ad722a99dcea3391b906c19301b434c2ec88e609f2f9bd35a758405ed6f55b98270ff9e6671faa9455eaf8b6493cebb4ef4ee50c0243fe4
 WHIRLPOOL 
038842b074f28d9a4d9b4cf85d371d075ea1b8b9133ecc73f26966086cc8d292f253d4f8bd5701a3a947f73ac5933483c57eb9875bb1746f7d38b1ff54bd7f76
+DIST firefox-45.3.0esr-kk.xpi 498895 SHA256 
e8fc700586ec6edfb5ede74933340c5cbdb17b24d0e10f2488dd0e8c5e12a8d4 SHA512 
1855d6ca6615253bf148efdc1654b1c9dff2e84ff73639d58063cbb2f5a825d85c6256955628035b6f0f987d2b2a697ed2100f9f0086169b0233853d818aaf83
 WHIRLPOOL 
70a16bde0f79b4fbfba291cc080d58789acb77a58fd746a3bc4b6681aa59ded479d8eb0ec42604aa02c2a18c3261329a255bdac90ae0508d271d1102556e3220
+DIST firefox-45.3.0esr-km.xpi 504301 SHA256 
17fc8f965d3ee1db4d6af7334fc1e51dabc12a1c9ec539d99d445da19095e259 SHA512 
3ee7910b7099268b6dd3a3a0bf61cef4b0232ffc2cd1553bc19e0695b7d413f9e5921a4f754a69d829d36998d91a18b90636ddf10288e41f9290f5eb9e6eedd2
 WHIRLPOOL 
06b62ab893c66ca3407e604281ce802a0b62e4af72756c1b635350e8ce0e4a2105836fe3a2366969c88421ca8f21d2ace957f275eb4afb2145b0c598f35e7e7d
+DIST firefox-45.3.0esr-kn.xpi 495880 SHA256 
db4ac019feb54045e488cb3e8756a48426ce777332078640367e3c0c61f18f0d SHA512 
928dffbdfec3289891f3bac7666bf3fd6213446b91fd5b8a169290fc1c551f37868f5a69b835f20850684fb83d75f392108039385d15eb718ee99841c9c63c16
 WHIRLPOOL 
c7c50d669238c007f03be0c7a6dc943fe7e0d61547f22ae7469abf73f6c9f2c4dd8d0130c13c60d85d7d8644d39686fc8c1d7ffb84f87f836b23135b83e085ea
+DIST firefox-45.3.0esr-ko.xpi 465289 SHA256 
8e757c8cf4b8539311f26a7ad9f6964451f3d68a814d1bf57089eb326958c551 SHA512 
1f9174dee610acae1220e53bbb0e1c17e0c9ea82027e7759187a9a573d28eec8c23e30d1aa885353d5b98fada066768e4b84c2bceda227fe9e4bd26005d1ae1f
 WHIRLPOOL 
ffca9a99c2b6a4bfeec2c4c6385d8b1dab5394d11ca8c5aa842f226ba68bf3e572b6f0523b770788000a76c90261243fca50cfe6ef8ad58b305bdce6b4b3032a
+DIST firefox-45.3.0esr-lt.xpi 454678 SHA256 
877ab134d2424eec3623f6e6a63b184a4866279c7a677c47d6d33949208f11a9 SHA512 
be984cd993887768dd2f95ee31766188a2ea6897235c15ce2b3265e32b8af3f5d08e26266b62f65cd8e65cff904e3c12985d58badaf13fe16c7ac8150f669de3
 WHIRLPOOL 
ce53bf2eb9eb8c7c81c7deb1c5069e33ae8a4312d129ff72b9106bcdeb32dc3d1494b1bef5c118ac6e2b01b562cdb1ef39fa77c229e929affa05ac340697224c
+DIST firefox-45.3.0esr-lv.xpi 445720 SHA256 
e4bfa3a6cfee7008738bf37ead2db1a35391951a83653c7bd19a6b23e69c3cc0 SHA512 
5d16c86b68aa321238e23a53fb6e5b092812c73b01e7dd1851ca5df9cb37ca69ff56f280836fb61103ccc5902f67f82d3582b5fedd3e7d102601e8cb0a6edfc6
 WHIRLPOOL 
304b03ba3856ecb97505550e2cd38d301088f70c8f620b36401484db7b70692bc54f274aa5967e252f6f4ddaaeafa15955564c4e79903c1fc1d751b9bf65b9b5
+DIST firefox-45.3.0esr-mai.xpi 492650 SHA256 
82907cc9dbc974669ff04b6c5d70f0d02086f3ddd8f315a687ac3beb7a5f4ad6 SHA512 
967b71c3b4427603f1f39c238a3cf508b82f7374a72bd4d450d20cec10265d20f17948c5900673c0e3a66555a4cd23d82adbfc5a6df6de84dae042794e5e6d22
 WHIRLPOOL 
272c34659f690bf35310d7ab632969294077aab62b19525e153f792a39b369b82e380c15b2f4f423db287c23e0e66f29135cf2b612feb3081e72b26725ba7b4a
+DIST firefox-45.3.0esr-mk.xpi 476391 SHA256 
4ef85389f009c5e6d98796c2d86c61d34f4ee762a46c9b5e472005a58c0d6adc SHA512 
618c8215594104c48915bb497b3c071fc7e197978a8230d0c6ce4ec7fb917195ef9072ea63c5dccb79bebca86ecc7893994fec0fb0c4823a968981dc434caad2
 WHIRLPOOL 
a350e8c0eeb65346f4dcfbf0ebbc28b49ed8bddd06422fb52941599e2388719a203ffad83196193bf1ab23871d9324dff2b95e0dd0aa8cd9b0059c91281ef979
+DIST firefox-45.3.0esr-ml.xpi 498681 SHA256 
cdac893c0fcd6509bcf2d0fcae1dd7ac9509551d39ff7c3ec879f3e733f1841c SHA512 
dcd636a4fdd03fdc159e987adaf6a37845eaf7302430fe5f6af043e38518f5973ab4e4cdfedc21df1a9894c0aa2479b8b310a818e71899f5691e02709b32b6b0
 WHIRLPOOL 
40f033a1652e462b5a8ae00ce5342579107896ad31112965a4b17870dfd4f0d6e9670723ae82599710d7c3fc2389a8b5279dfb7b152fd1a9eeef1cd992f340f0
+DIST firefox-45.3.0esr-mr.xpi 503700 SHA256 
f4b8db4423adfa18dc528777134089ec547aedfc83573ce0eac9c6c85af019b0 SHA512 
a65bd83bb6f0886cdb480fae9a18b13fecdc25fc67644d963a14c1127c32dfe6cba1905292231427f7d83ad09fcd0a4c5c8c642da565023b7c92bdaa267a74d4
 WHIRLPOOL 
a046f75cfabe854a5f79abe73511af85343188a365ec6fa15c76c37683563f2be935c98dd8314c8a5ca7c1a20bea2942ad4212897887a4130fc4f3e381cd0f9f
+DIST firefox-45.3.0esr-ms.xpi 440064 SHA256 
1ae55644bc31420b373b00977da621d2668ba8e15069daac68e7b3b74d50e601 SHA512 
49a21a9b70e50403716285c100ecc726b46aa74b4973deffe81817559f62a4e0591c02f27b9da184e39f85ace8416ab75a9ed365cb09ca0ed5b6da97bac35e40
 WHIRLPOOL 
b385a7af93d7dff525efedeb9f4914142650b58640eb2d82fa9e34e44011e9120198d38ed560887f3d3da4c1e7df90be77d6bafc3b5b2c47e6ad623773612409
+DIST firefox-45.3.0esr-nb-NO.xpi 435470 SHA256 
899cab940517d35b9fc77c47fc9740e26d9399361d4cf318ede91b8448dfb71e SHA512 
16aac2dd29e7edf4758107333cc2497a765337aa985a51da162bb7a19aeff75102bac3781e5fbc8a439be6f02a790b7342dbcc86668b52440caecf16e2e8b8ca
 WHIRLPOOL 
2dab75d7bd5ad0462e45fc93ef2a2e9a53747277057fc337e70766d533ac05fdf97015febfc28fce8a3e7ef14afb04f5b2388e11e4746b50dce5ad5d77acd930
+DIST firefox-45.3.0esr-nl.xpi 435202 SHA256 
f1902a95d8f72c1be474392dd0b03e4242157c8e68d058995ae851b56f8ffcf1 SHA512 
49a727f4473d29bdb00aca50de5c538b3ac83c82af62f324e55ea373889b1778ece2ab5ab480f035d6f1764f9bbf77be5aa0173d27bf270e36da0d126266b44d
 WHIRLPOOL 
da52ab748ec58f9b1e3f40565a839c3de47e7f99e1f2a5adb1126e162f610b1f8acdd8bec6739239c62e4eacb5d85ce52623ebffa263d2960c8729ef5d4c5f08
+DIST firefox-45.3.0esr-nn-NO.xpi 432934 SHA256 
26892e1415a2cf93d4a55a581786e50797d4d64073dac96768f952b4dc914a07 SHA512 
0688a5b7a968a1856c822162d11d5943125f8e8c69d7c3141bf5652401cfa509750746a30a3a6ec25e48ca04b12fd5e4431c62e549f2e647d2f50e2a4ea0ad6b
 WHIRLPOOL 
f7d8ff44629fb6b30a4646dab5010d94c85d06349a2e001b15561b40487f3a12cd2a1c23ab23269ab7c11dbb38a20573061abfd322a8af6e2f5cbac49eda6f4e
+DIST firefox-45.3.0esr-or.xpi 495922 SHA256 
22004bd75c11ec38b590ee3e935ad2a4e248eb544c746fc9e369ce9bf8344d44 SHA512 
2c29e92d58d892208a83a03047fa15bc6c5edf7819aa20332ad3f1af2eebf336c63336bbf98c0b0788dc635365f184e1ac29b3ed5f23d602ab67492ac60f7954
 WHIRLPOOL 
fae6824e77c9ecdb7be22cf25b5f33cd7b0c00a89b4f9bdf110ee35e63978a7aae1739360ecf3adb53b9a631661c3340666d7105da59e7f55e268ecf00acb21d
+DIST firefox-45.3.0esr-pa-IN.xpi 489550 SHA256 
04b7a3b3b5838dfed6ac5326bb394b8c66d42c4bc865e50fb9864bc439816743 SHA512 
6138de83caf679d1ea8bff136c585ea63927f41939f19a54850478c5626ef0f59347be6ab58ef055bb8e773f00d94aa8942e3863d4ca6fb5627f38214433070d
 WHIRLPOOL 
3bac9dfc2c5ce4280bf4b62b3a1196ab81997aa23717006cae476ac4ad1dfcb9da2d09d372008df4bbcc83516827f1b4abf51c1e48516bb04109f8abf7b4d4d0
+DIST firefox-45.3.0esr-pl.xpi 383929 SHA256 
948a39a9c407be04fe4cb3917e49db1460a32e1670606bb9bd096e806ad1dd62 SHA512 
3ff74dd73ab8383bd63c2a494851c8af6f283c1fd5cbe59f218ec3ea0b5de6965ea37166ec189010d594c2870079b8d609c9d671b468a0b9d1afaf3eae34b509
 WHIRLPOOL 
def4f8bfd1f62dfc553e2144e3f1ff8a67e45d380faa987c03f863637ca8ba1bb62b59dcd4dcc286b8fa1761c829731b2da0a041cfef81f425e789357e633825
+DIST firefox-45.3.0esr-pt-BR.xpi 450991 SHA256 
d80c53685b56fbfcc87a16fa3d3fac923dbe99b4279ebeef875b3573e87fa1bb SHA512 
5582839b76f94cf38f7e2c7e157b02ef4caa4b6215e04e68a522805c029acd93be32522aa7f965e259e5cf68fff7c15a48ffed329a5ee5b050f2190e292ed86c
 WHIRLPOOL 
6343c44ab73c8e21a48564f0acddf43f7cbe57be6cda44db21a09bf95235e58bdcddf180bb082b89775b0c62f2f13942bba44e21b4f8f6e94aecf099e8e59a47
+DIST firefox-45.3.0esr-pt-PT.xpi 437022 SHA256 
e358f3bdd97745dd06d5bfce4212bad5fec3957263b9de4594d785a1e1ad34dc SHA512 
49ebe66e8ee805d070a5ef5a25c23b965a743cffb55a6a7790250bbdcc985426dd54c5cd5870145608d4adfe3160698f310e96f3b2b3b35029b2dcaa3cf3a1e7
 WHIRLPOOL 
ccfca5fbb44c5e3db67820865f59f9228afe97b1dd698766e63bffcaa5f6049e046edd23a22f33e87675de5787ab5469e04786cc3176f0d34b0d156a5eb324f5
+DIST firefox-45.3.0esr-rm.xpi 437717 SHA256 
7be3f74c101e1ae55e2e6d4b931ecf0166e2bc7996b64cd2d4e85e53417d98b0 SHA512 
935c67f3f50e0536216dd10c1d4f61f6fcea362263a558c092bbba91f6be1f632b3efd55837e2a07f6547b32ac4c986f7369e013d33caaad94ed8cd8e3821b32
 WHIRLPOOL 
27a2db2926741de055046ee46bdd5066bf1d18f118782ab783efd4b04901db5978e0dfcddc905bd587aaf3587071013438f49a2d6c767f9f32a9718bfc7d78eb
+DIST firefox-45.3.0esr-ro.xpi 444062 SHA256 
39cffa564f767ef31a712e6696e3f39cc00819f33aa899b9ecb56221c3ed04b0 SHA512 
ed96ec7be13459e3a9472dff4de5839d3658e1a19e28a50ea792b274fc54bb2ba899f41001f7dbb1cb8c48b8a29d766193c7efcf693ebf83170c22d00229fde8
 WHIRLPOOL 
b287015f1e08b429eb1001252ef5d38321ef68a06c99946f5f9eb28222b8cfc2631ed6940017e7de8536704917fdfde4b8295732ca7604d1caec8915cf61fc19
+DIST firefox-45.3.0esr-ru.xpi 392738 SHA256 
28b28e799da22c1c576c2c624a980490d940310894a1cc39511334f8436999ae SHA512 
fb64dda2fa55588eadb327083690e41223e4488b0f8e3404cab6a285d59406029adfbcdb18e3ceddcd614664e28892f0fb7be57ca7ac62a7d74089998e0a4229
 WHIRLPOOL 
e32e64a97835612c3031f6509493fdf4519c29df30b0fbc5102e73da72c2be906fac50373619cf5e4e3993e47951a96cbbfbd6c3835195f83eb0c15be68411fa
+DIST firefox-45.3.0esr-si.xpi 482248 SHA256 
e8e12fbca0ba17f5c5abdd87519bee0bb71b7e455d0ec0cb7e8ddfd021a42ad9 SHA512 
5410cef3e6fb1f726b8424887c0d16c7f1a6b38b1609bf242437f8e6dec476ca405b71ea84204ceee651578a313ecef658de2e25555a9aac83134b015d44c617
 WHIRLPOOL 
618722a460fed0d213b073c68ac5f31c3c0a29f1f91e4c38bf3d68633e417e72272ea1576b4a544b9f88dde300a3fc856960c78bb98b50e0cfd311d2a12c990c
+DIST firefox-45.3.0esr-sk.xpi 453606 SHA256 
627104163ae9ee466b802028cfaa7c667fbfd63271b1eea186d1234f0209aaf0 SHA512 
dd510dc5bc45f8a30e1b0521baee34ff1ce7011e3fe6fdcbed1af7de175eab58062278b0fb16358854bfd65cc78775f6ad70643bfe2a1a0a34b6ded45909b3cd
 WHIRLPOOL 
ec606855422060783dcb62c2582a7a89c96e6a63c8e6fffb755d20c88d9a960fdac798be35370ef2e8a7ff2bda6ce19fc272c07757b1d880db0fe143c2852cd8
+DIST firefox-45.3.0esr-sl.xpi 444963 SHA256 
9f3cb943ce906effdd313214cb38ac131ca5501f7b57ca3744a32311c28589be SHA512 
b7afdef0d67265e7f6908fd5a9178965fa7f8bb314b2879b3fc82bb83e0a4414eb9c4e619bb16ec9b2ce46ae63105c1b48139f783c0e7fe641405a135d654772
 WHIRLPOOL 
f8279fe4ab68abe21400d62b3f6c233ee0c0ad939089cb2880042819c94bab1ee199acdb642eebb07af6b93de140499f2db74735c2184df12db7d22b5683c9e1
+DIST firefox-45.3.0esr-son.xpi 433513 SHA256 
ce87df0f991330a2322c42a77eecc856c5bd355e7a8440f68683cb75f8971595 SHA512 
b5229fdd6f63576cf3e416eb8688044cff1c4cee03dffe25a46dfbdc6ab122eb6c21ceec128dbedaa0fd3f5bda0a025946e44663a961643249af96fc8cb0fd5e
 WHIRLPOOL 
c1c8c17c122407fccb4c2b008c20ce5bb90af5092251ed6dae355cfc55dfefb092116eedf35af0828456fdb43f1e4d6e9101e936d92ddac037cb99b793cdbbf3
+DIST firefox-45.3.0esr-sq.xpi 452186 SHA256 
5901935e95fbc43b483cec6cf952ff7260e32124422bc6feee7bbb8f2d46c3a5 SHA512 
ff02568e963a8690f9240ce6cd15e9acf0d7221663c839f17dd49b8ad8913c84896a048706d56d26f49ef330eb15bf7fb8cbeeab610739891e1e2cd9c5687535
 WHIRLPOOL 
7e906a71d9f0d25efb74ff9496f4f37adf60fa18aefbee5753ec859a8a525dda0dc59a4a8b86b162da6b2ba9bf202d427e5fd49a4fc60f7e6793a7f27c8a0db7
+DIST firefox-45.3.0esr-sr.xpi 464479 SHA256 
44c692eda984bd569b34a30d844971637e6b50c5417d6af8edebbf95592d9770 SHA512 
b40af43d00fb53c1ca3a60416271b541cbe8526ab9c311597917a1ac0e5c9fa2d37bdbe760bc0d7d6dd35217669475e5764d27863301746a0beeb9c4c69e261d
 WHIRLPOOL 
ef1c85e0abd1f2fc2c1296ed222d74752d61f46596c6b523a827e65a917e1b535aee5874e7d1d4479dd66f777e6776c70c7c4a46b1a795261c40cc38e3bf81a7
+DIST firefox-45.3.0esr-sv-SE.xpi 444214 SHA256 
9e3ed60f6aba91fd3372ba87d29992212a58a11abe5023255c38f188fe3dfdff SHA512 
a8df8a724774345a3d075b2c8583e21627db4f633e9977e560ee987c4e2513649647dea50dec849f411dcbcdd3d522669fb866f242aed532ea9baa798b2619d7
 WHIRLPOOL 
891d01b111af0f113f084fe40acdef8b53ff12e1cacef5e561dcbd3109093b2e4901e6c677a0ee55acf80c73caec53428ea21f156a304d34ca17b6608f65479d
+DIST firefox-45.3.0esr-ta.xpi 483117 SHA256 
441721aa669201fa9ff87b4df6169bc02aaa05b2d7c4d40c6ff46ed15833d5c8 SHA512 
1a05d44ade7b3afb2c9f8326f8abdb01237553f7087f7b111663e0f2d0e45291df72f912f18cb8a10a0b1e14320de04c234e06d1092afe37ddccb3fc437ab17c
 WHIRLPOOL 
7d531082e9cb5a1a33896388e31064d7253a7f2087cc86748ecd5cff948c351e87dddc02170edf2920bf40df8edcd19426793c0eec13156096dd846f21c0b8b2
+DIST firefox-45.3.0esr-te.xpi 492471 SHA256 
98036a788bac894455ce71ba51b646d7cd4df14e17420a03c2dc6614937db47b SHA512 
0a6fb10c3a329bb486d926448347bfb24f632b9554595856d165d3ae69df0d9e8ead34e89d79d1d1dc4d3364c9f65e86a944e2acf3512f06b3d0e8aa634b01a7
 WHIRLPOOL 
07bc3bc9a591340e9fa604fc55d3c7b7e48af39547dc65df20a7af714f9bfa664aa8028c5c9635d5cb394314f7111a7a9cc089bcd032db17b39eeeaf5b039e71
+DIST firefox-45.3.0esr-th.xpi 477650 SHA256 
ba3006e5c0a426a745ea385b11c2f7fedc170570a6c960ddabffec1e57aff52f SHA512 
afdb45b0ae48e1a84ef4add8da4113456b1c66ca314d8d56dda14b244584b3e514f22a88d7d8a3a9593c3d50183e992515d68956a59a0968b3a9a230531f3eee
 WHIRLPOOL 
41283df17da92210b37ced2166353370eb5904650ff377e2152ac74de1db778e18423149e242db2c55d21f20d761e1d819dc1228289847c30075f95a05b13cda
+DIST firefox-45.3.0esr-tr.xpi 451166 SHA256 
bc4f673409e50dda48c42d4c913bc029c523aeee8e09ae026ec9d7f13ead4101 SHA512 
24f135eba23e5b5e34fa1b6d97be5243167bf78bb106d255e42fff934431497c6a9af78dcf2ea6efc10e5c78b2548d37aaf12608e052148d6b6cf27524e7dcea
 WHIRLPOOL 
9f74d0d94993b6bb988588c92d07f495b3a6fa5c042b3da33d1910ce1ebdd22f1447dc700894aef982c87c05bd91e6149e720726c473d5de75c958f51ea962b7
+DIST firefox-45.3.0esr-uk.xpi 494780 SHA256 
b47822e78efa04c17ca0ba567f7ced0ce6f306d1d0d3dfbdaca68f5a6c27d5fe SHA512 
52ca2011569baf910c043db42ea826baf6b0afde8f613a0f69f9227176da49e4cee843957c8d8cbfad0e656bd51947afeb4b189da813fa7e188e2fd9d7c1b9ce
 WHIRLPOOL 
25062902961b2130adc359c699ad677c2257616a5bc1852ecb610753f4baf4026de2079f74625268fa9b43d3a67c5c33b710c1b1ecf3392e9c116c29b4becb0e
+DIST firefox-45.3.0esr-uz.xpi 443803 SHA256 
87642ded8387c416f5a43fc50920bf962ecf3056521b507493932ba6d69c1f6e SHA512 
c47d4c731f7bfd7c3699a9f6b3edfb8d6406e3ce9964362146d333cce56afcd70d8a12b3aa32599f0d8fd2823bc792a9683d5904bd041f8b38b53b6122d8c3c6
 WHIRLPOOL 
fe8f33172fd37a96cc0b81dcf4095ffe10a856f5e95f9352d77cdc5499f4753447072b2bbd3557df206ac2569428e523949fa71b6ef1f9b16b1949bb9ee36b0c
+DIST firefox-45.3.0esr-vi.xpi 450778 SHA256 
696168c72df76c065ab7d8d5ec898fc28f46d22e9ee59c1b8f77ee26b729472c SHA512 
516dbaee16999f66d8804a0143ead058aa0d9d46c3ede82e04188e72c719f3480c5a429460bdc3d548ca2215bd894d848ed1a9c1f298f15b47fd05f011952acb
 WHIRLPOOL 
af6a3bce38366e9b0989d2f38ef01965d496305c1e9c5420389e7143890f0d6acad349334ec45a420c4b0a19cbf897f985dc279214a574eb859b4b782abf6ad0
+DIST firefox-45.3.0esr-xh.xpi 432918 SHA256 
2bd00cf16339926c24217901196cd4135cf6039a3a40f055ab72d6012eb114d7 SHA512 
234b47b7df1993df1df9b05237ac91fe8824c9708aa3c0ca93d424ec4468d2f022fa6816f1dea75b760acb57ccc87af95d215feb3b734cc8b2848727fe962e8e
 WHIRLPOOL 
0bf7be8dc9d6ccb947c4dd698cd26262fbbd66ed452792cd25d088c2f27c4089c9ffd96530a9700316423b52a9b426e5dcce46c9b0aebad3897450fd79320653
+DIST firefox-45.3.0esr-zh-CN.xpi 475797 SHA256 
89cb03bd98b25a8f2a3468ac509a1cd5a893a74ec62b5cd436fe0e9e2f105333 SHA512 
4c5a3d210ffda1c96d4a15fdb0de7d20ac72261b254c6fdc2fc68ced307b62b755cf96d462a3b3ce4ecbd377428aea9514ae6b7d9ae94afbfa97b2a31f1d2368
 WHIRLPOOL 
c690ff40ba372b0ad4e2de7b73897461190c39fd0f8414c65e6329c1d2f7111333b19cca638ac6873472fb760302505829b2706d88399428e30e3b5f58a3a894
+DIST firefox-45.3.0esr-zh-TW.xpi 466529 SHA256 
811561b65046f345531d95854c028ed345e99f57c919efeee887ef4fb9dee79f SHA512 
cac89f9a36e59cfe174af5d1ed2eabd419fcd80581df4af15d4045deb619ea00f1a3dfe08305268f7e97ee6e8f52ad109f84f86cd06e26bb7ac886dfe5e347b8
 WHIRLPOOL 
b0c053899dc5430416fd90a2e57889cbf14673ba83d17984f48c09aac66250c3fe8b065ac75ea94097f641ca06e76b97bf83331cf5b37ffb45c6f2d702fcfb57
+DIST firefox-45.3.0esr.source.tar.xz 185330580 SHA256 
922233c65c0aabd05371974c289495119c28d72fc7f8b06a22b58c5f70f8b8f7 SHA512 
ee618aec579625122c3e511a7ac83ac4db9718f5695b6fe6250717602178bae9bb7e5ebe8764f4d33ecf44d3db13abfed0d24c1ec71e64a1087fb6d5a579b0c0
 WHIRLPOOL 
aeb4e5888466e2ec5f142c0ff7b70e231860d144d613490064462c790810dfbd58928752621c70922834a83cea0e70beb6c4828e2c4c05e846d51d11d18f4d2c
 DIST firefox-45.4.0esr-ach.xpi 426529 SHA256 
f43825621ccd7920710608686aa813594afd1d3b19bff8eb49bd32143b81a856 SHA512 
941560b81d39ab3ffc7f671b768bab010faab147dfc571522e7362d246e2b5cadc636af6c00692f285122ae2520861f45e69897d1727c9bb110c0a343289a9e6
 WHIRLPOOL 
53f387c0d38c076cfc5c58ff7467096370959017ef13531d8abe7f6c5a502889148dd3caf1a3598e693c452dc1caa9d3448c33355f375d2a0755ece2a10f4ad8
 DIST firefox-45.4.0esr-af.xpi 439353 SHA256 
93166fd1be0a9b870b3043c752ce7326f7a15a20c38daa40655ed0a6440a8afb SHA512 
70b2a20c7fc8d29d750eb28ff63e03101bf84c6282952dc412e85decee141d476eb85ab23f9eb656e8ca6e90705e4ac95d1e2110375695e8ea8d7047707fbe74
 WHIRLPOOL 
6e10cd75163bc5c724ab132abb51c8226236e089cf8b09b9ad7bdb14abc7294ac89255696aac2a0f0c9556ee6292c83acc8154b88c153d976b42c6dc4b94ac7a
 DIST firefox-45.4.0esr-an.xpi 449036 SHA256 
350c7e992de73a4aed0573f679b819e8f79a4f0ed6a98d8a05eaeb8f1eae82b4 SHA512 
7279885dbdbee9083c48aef08ad40b6f740d3e9962164d75390203bc71f19a825e87af59a1a3a9495ea7457fe54b266c0ec7316db41465522a0811e303fef25e
 WHIRLPOOL 
bbe23b91eeec40d1b8b3ed3389c3a9be374bf7312230e069e5883f697c4c73cd5e199c047011b3c5eb7ecc3825909419bf3fed77c2ced9669ddf57f608c602e0

diff --git a/www-client/firefox/firefox-45.3.0.ebuild 
b/www-client/firefox/firefox-45.3.0.ebuild
new file mode 100644
index 00000000..e19583e
--- /dev/null
+++ b/www-client/firefox/firefox-45.3.0.ebuild
@@ -0,0 +1,368 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+VIRTUALX_REQUIRED="pgo"
+WANT_AUTOCONF="2.1"
+MOZ_ESR=1
+
+# This list can be updated with scripts/get_langs.sh from the mozilla overlay
+MOZ_LANGS=( ach af an ar as ast az be bg bn-BD bn-IN br bs ca cs cy da de
+el en en-GB en-US en-ZA eo es-AR es-CL es-ES es-MX et eu fa fi fr
+fy-NL ga-IE gd gl gu-IN he hi-IN hr hsb hu hy-AM id is it ja kk km kn ko
+lt lv mai mk ml mr ms nb-NO nl nn-NO or pa-IN pl pt-BR pt-PT rm ro ru si
+sk sl son sq sr sv-SE ta te th tr uk uz vi xh zh-CN zh-TW )
+
+# Convert the ebuild version to the upstream mozilla version, used by 
mozlinguas
+MOZ_PV="${PV/_alpha/a}" # Handle alpha for SRC_URI
+MOZ_PV="${MOZ_PV/_beta/b}" # Handle beta for SRC_URI
+MOZ_PV="${MOZ_PV/_rc/rc}" # Handle rc for SRC_URI
+
+if [[ ${MOZ_ESR} == 1 ]]; then
+       # ESR releases have slightly different version numbers
+       MOZ_PV="${MOZ_PV}esr"
+fi
+
+# Patch version
+PATCH="${PN}-45.0-patches-05"
+MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases";
+
+# Kill gtk3 support since gtk+-3.20 breaks it hard prior to 48.0
+#MOZCONFIG_OPTIONAL_GTK3=1
+MOZCONFIG_OPTIONAL_WIFI=1
+MOZCONFIG_OPTIONAL_JIT="enabled"
+
+inherit check-reqs flag-o-matic toolchain-funcs eutils gnome2-utils 
mozconfig-v6.45 pax-utils fdo-mime autotools virtualx mozlinguas-v2
+
+DESCRIPTION="Firefox Web Browser"
+HOMEPAGE="http://www.mozilla.com/firefox";
+
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ppc64 ~x86 ~amd64-linux 
~x86-linux"
+
+SLOT="0"
+LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
+IUSE="bindist hardened +hwaccel pgo selinux +gmp-autoupdate test"
+RESTRICT="!bindist? ( bindist )"
+
+# More URIs appended below...
+SRC_URI="${SRC_URI}
+       https://dev.gentoo.org/~anarchy/mozilla/patchsets/${PATCH}.tar.xz
+       https://dev.gentoo.org/~axs/mozilla/patchsets/${PATCH}.tar.xz
+       https://dev.gentoo.org/~polynomial-c/mozilla/patchsets/${PATCH}.tar.xz";
+
+ASM_DEPEND=">=dev-lang/yasm-1.1"
+
+# Mesa 7.10 needed for WebGL + bugfixes
+RDEPEND="
+       >=dev-libs/nss-3.21.1
+       >=dev-libs/nspr-4.12
+       selinux? ( sec-policy/selinux-mozilla )"
+
+DEPEND="${RDEPEND}
+       pgo? (
+               >=sys-devel/gcc-4.5 )
+       amd64? ( ${ASM_DEPEND}
+               virtual/opengl )
+       x86? ( ${ASM_DEPEND}
+               virtual/opengl )"
+
+# No source releases for alpha|beta
+if [[ ${PV} =~ alpha ]]; then
+       CHANGESET="8a3042764de7"
+       SRC_URI="${SRC_URI}
+               
https://dev.gentoo.org/~nirbheek/mozilla/firefox/firefox-${MOZ_PV}_${CHANGESET}.source.tar.xz";
+       S="${WORKDIR}/mozilla-aurora-${CHANGESET}"
+else
+       S="${WORKDIR}/firefox-${MOZ_PV}"
+       SRC_URI="${SRC_URI}
+               
${MOZ_HTTP_URI}/${MOZ_PV}/source/firefox-${MOZ_PV}.source.tar.xz"
+fi
+
+QA_PRESTRIPPED="usr/lib*/${PN}/firefox"
+
+BUILD_OBJ_DIR="${S}/ff"
+
+pkg_setup() {
+       moz_pkgsetup
+
+       # Avoid PGO profiling problems due to enviroment leakage
+       # These should *always* be cleaned up anyway
+       unset DBUS_SESSION_BUS_ADDRESS \
+               DISPLAY \
+               ORBIT_SOCKETDIR \
+               SESSION_MANAGER \
+               XDG_SESSION_COOKIE \
+               XAUTHORITY
+
+       if ! use bindist; then
+               einfo
+               elog "You are enabling official branding. You may not 
redistribute this build"
+               elog "to any users on your network or the internet. Doing so 
puts yourself into"
+               elog "a legal problem with Mozilla Foundation"
+               elog "You can disable it by emerging ${PN} _with_ the bindist 
USE-flag"
+       fi
+
+       if use pgo; then
+               einfo
+               ewarn "You will do a double build for profile guided 
optimization."
+               ewarn "This will result in your build taking at least twice as 
long as before."
+       fi
+}
+
+pkg_pretend() {
+       # Ensure we have enough disk space to compile
+       if use pgo || use debug || use test ; then
+               CHECKREQS_DISK_BUILD="8G"
+       else
+               CHECKREQS_DISK_BUILD="4G"
+       fi
+       check-reqs_pkg_setup
+}
+
+src_unpack() {
+       unpack ${A}
+
+       # Unpack language packs
+       mozlinguas_src_unpack
+}
+
+src_prepare() {
+       # Apply our patches
+       eapply "${WORKDIR}/firefox"
+
+       # Allow user to apply any additional patches without modifing ebuild
+       eapply_user
+
+       # Enable gnomebreakpad
+       if use debug ; then
+               sed -i -e 
"s:GNOME_DISABLE_CRASH_DIALOG=1:GNOME_DISABLE_CRASH_DIALOG=0:g" \
+                       "${S}"/build/unix/run-mozilla.sh || die "sed failed!"
+       fi
+
+       # Ensure that our plugins dir is enabled as default
+       sed -i -e "s:/usr/lib/mozilla/plugins:/usr/lib/nsbrowser/plugins:" \
+               "${S}"/xpcom/io/nsAppFileLocationProvider.cpp || die "sed 
failed to replace plugin path for 32bit!"
+       sed -i -e "s:/usr/lib64/mozilla/plugins:/usr/lib64/nsbrowser/plugins:" \
+               "${S}"/xpcom/io/nsAppFileLocationProvider.cpp || die "sed 
failed to replace plugin path for 64bit!"
+
+       # Fix sandbox violations during make clean, bug 372817
+       sed -e "s:\(/no-such-file\):${T}\1:g" \
+               -i "${S}"/config/rules.mk \
+               -i "${S}"/nsprpub/configure{.in,} \
+               || die
+
+       # Don't exit with error when some libs are missing which we have in
+       # system.
+       sed '/^MOZ_PKG_FATAL_WARNINGS/s@= 1@= 0@' \
+               -i "${S}"/browser/installer/Makefile.in || die
+
+       # Don't error out when there's no files to be removed:
+       sed 's@\(xargs rm\)$@\1 -f@' \
+               -i "${S}"/toolkit/mozapps/installer/packager.mk || die
+
+       # Keep codebase the same even if not using official branding
+       sed '/^MOZ_DEV_EDITION=1/d' \
+               -i "${S}"/browser/branding/aurora/configure.sh || die
+
+       eautoreconf
+
+       # Must run autoconf in js/src
+       cd "${S}"/js/src || die
+       eautoconf
+
+       # Need to update jemalloc's configure
+       cd "${S}"/memory/jemalloc/src || die
+       WANT_AUTOCONF= eautoconf
+}
+
+src_configure() {
+       MEXTENSIONS="default"
+       # Google API keys (see 
http://www.chromium.org/developers/how-tos/api-keys)
+       # Note: These are for Gentoo Linux use ONLY. For your own distribution, 
please
+       # get your own set of keys.
+       _google_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
+
+       ####################################
+       #
+       # mozconfig, CFLAGS and CXXFLAGS setup
+       #
+       ####################################
+
+       mozconfig_init
+       mozconfig_config
+
+       # It doesn't compile on alpha without this LDFLAGS
+       use alpha && append-ldflags "-Wl,--no-relax"
+
+       # Add full relro support for hardened
+       use hardened && append-ldflags "-Wl,-z,relro,-z,now"
+
+       # Setup api key for location services
+       echo -n "${_google_api_key}" > "${S}"/google-api-key
+       mozconfig_annotate '' --with-google-api-keyfile="${S}/google-api-key"
+
+       mozconfig_annotate '' --enable-extensions="${MEXTENSIONS}"
+       mozconfig_annotate '' --disable-mailnews
+
+       # Allow for a proper pgo build
+       if use pgo; then
+               echo "mk_add_options PROFILE_GEN_SCRIPT='\$(PYTHON) 
\$(OBJDIR)/_profile/pgo/profileserver.py'" >> "${S}"/.mozconfig
+       fi
+
+       echo "mk_add_options MOZ_OBJDIR=${BUILD_OBJ_DIR}" >> "${S}"/.mozconfig
+
+       # Finalize and report settings
+       mozconfig_final
+
+       if [[ $(gcc-major-version) -lt 4 ]]; then
+               append-cxxflags -fno-stack-protector
+       fi
+
+       # workaround for funky/broken upstream configure...
+       emake -f client.mk configure
+}
+
+src_compile() {
+       if use pgo; then
+               addpredict /root
+               addpredict /etc/gconf
+               # Reset and cleanup environment variables used by GNOME/XDG
+               gnome2_environment_reset
+
+               # Firefox tries to use dri stuff when it's run, see bug 380283
+               shopt -s nullglob
+               cards=$(echo -n /dev/dri/card* | sed 's/ /:/g')
+               if test -z "${cards}"; then
+                       cards=$(echo -n /dev/ati/card* /dev/nvidiactl* | sed 
's/ /:/g')
+                       if test -n "${cards}"; then
+                               # Binary drivers seem to cause access 
violations anyway, so
+                               # let's use indirect rendering so that the 
device files aren't
+                               # touched at all. See bug 394715.
+                               export LIBGL_ALWAYS_INDIRECT=1
+                       fi
+               fi
+               shopt -u nullglob
+               addpredict "${cards}"
+
+               CC="$(tc-getCC)" CXX="$(tc-getCXX)" LD="$(tc-getLD)" \
+               MOZ_MAKE_FLAGS="${MAKEOPTS}" 
SHELL="${SHELL:-${EPREFIX%/}/bin/bash}" \
+               virtx emake -f client.mk profiledbuild || die "virtx emake 
failed"
+       else
+               CC="$(tc-getCC)" CXX="$(tc-getCXX)" LD="$(tc-getLD)" \
+               MOZ_MAKE_FLAGS="${MAKEOPTS}" 
SHELL="${SHELL:-${EPREFIX%/}/bin/bash}" \
+               emake -f client.mk realbuild
+       fi
+
+}
+
+src_install() {
+       cd "${BUILD_OBJ_DIR}" || die
+
+       # Add our default prefs for firefox
+       cp "${FILESDIR}"/gentoo-default-prefs.js-1 \
+               
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+               || die
+
+       mozconfig_install_prefs \
+               
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js"
+
+       # Augment this with hwaccel prefs
+       if use hwaccel ; then
+               cat "${FILESDIR}"/gentoo-hwaccel-prefs.js-1 >> \
+               
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+               || die
+       fi
+
+       echo "pref(\"extensions.autoDisableScopes\", 3);" >> \
+               
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+               || die
+
+       local plugin
+       use gmp-autoupdate || for plugin in \
+       gmp-gmpopenh264 ; do
+               echo "pref(\"media.${plugin}.autoupdate\", false);" >> \
+                       
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+                       || die
+       done
+
+       MOZ_MAKE_FLAGS="${MAKEOPTS}" \
+       emake DESTDIR="${D}" install
+
+       # Install language packs
+       mozlinguas_src_install
+
+       local size sizes icon_path icon name
+       if use bindist; then
+               sizes="16 32 48"
+               icon_path="${S}/browser/branding/aurora"
+               # Firefox's new rapid release cycle means no more codenames
+               # Let's just stick with this one...
+               icon="aurora"
+               name="Aurora"
+
+               # Override preferences to set the MOZ_DEV_EDITION defaults, 
since we
+               # don't define MOZ_DEV_EDITION to avoid profile debaucles.
+               # (source: browser/app/profile/firefox.js)
+               cat 
>>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" 
<<PROFILE_EOF
+pref("app.feedback.baseURL", 
"https://input.mozilla.org/%LOCALE%/feedback/firefoxdev/%VERSION%/";);
+sticky_pref("lightweightThemes.selectedThemeID", 
"firefox-devedit...@mozilla.org");
+sticky_pref("browser.devedition.theme.enabled", true);
+sticky_pref("devtools.theme", "dark");
+PROFILE_EOF
+
+       else
+               sizes="16 22 24 32 256"
+               icon_path="${S}/browser/branding/official"
+               icon="${PN}"
+               name="Mozilla Firefox"
+       fi
+
+       # Install icons and .desktop for menu entry
+       for size in ${sizes}; do
+               insinto "/usr/share/icons/hicolor/${size}x${size}/apps"
+               newins "${icon_path}/default${size}.png" "${icon}.png"
+       done
+       # The 128x128 icon has a different name
+       insinto "/usr/share/icons/hicolor/128x128/apps"
+       newins "${icon_path}/mozicon128.png" "${icon}.png"
+       # Install a 48x48 icon into /usr/share/pixmaps for legacy DEs
+       newicon "${icon_path}/content/icon48.png" "${icon}.png"
+       newmenu "${FILESDIR}/icon/${PN}.desktop" "${PN}.desktop"
+       sed -i -e "s:@NAME@:${name}:" -e "s:@ICON@:${icon}:" \
+               "${ED}/usr/share/applications/${PN}.desktop" || die
+
+       # Add StartupNotify=true bug 237317
+       if use startup-notification ; then
+               echo "StartupNotify=true"\
+                        >> "${ED}/usr/share/applications/${PN}.desktop" \
+                       || die
+       fi
+
+       # Required in order to use plugins and even run firefox on hardened, 
with jit useflag.
+       if use jit; then
+               pax-mark m 
"${ED}"${MOZILLA_FIVE_HOME}/{firefox,firefox-bin,plugin-container}
+       else
+               pax-mark m "${ED}"${MOZILLA_FIVE_HOME}/plugin-container
+       fi
+
+       # very ugly hack to make firefox not sigbus on sparc
+       # FIXME: is this still needed??
+       use sparc && { sed -e 's/Firefox/FirefoxGentoo/g' \
+                                        -i 
"${ED}/${MOZILLA_FIVE_HOME}/application.ini" \
+                                       || die "sparc sed failed"; }
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       # Update mimedb for the new .desktop file
+       fdo-mime_desktop_database_update
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to